require 'spec_helper'

require_relative '../../../../intellij/libraries/.jetbrains.api.rb'
require_relative '../../../../intellij/libraries/plugin'

describe 'intellij_plugin' do
  describe 'testing the resource' do
    step_into :intellij_plugin
    platform 'ubuntu'

    context 'installing the plugin' do
      recipe do
        intellij_plugin 'My fancy plugin' do
          workspace '/home/user/myworkspace'
          edition :community
          user 'myuser'
          group 'mygroup'
          source 'http://downloads/plugin.zip'
          action :install
        end
      end

      it { is_expected.to create_directory('/home/user/myworkspace/config/plugins').with(user: 'myuser', group: 'mygroup') }
      it { is_expected.to create_remote_file('/home/user/myworkspace/config/plugins/plugin.zip').with(user: 'myuser', group: 'mygroup') }
      it { is_expected.to extract_zipfile('/home/user/myworkspace/config/plugins/plugin.zip') }
      it { is_expected.to delete_file('/home/user/myworkspace/config/plugins/plugin.zip') }
    end
  end
end
